Package com.sas.metadata.remote

# Interface TextStore

All Superinterfaces:
  `CMetadata`, `ContentLocation`, `DeployedDataPackage`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`, `Text`

public interface TextStore extends Text
Represents storing text in the repository.

Attributes of TextStore are:

- `StoredText`

Associations of TextStore are:

- `OwningMiningResult`
- `Objects`

## Usage

To create an instance of this TextStore, use the `factory` create methods.
Example: create a TextStore with name "TextStore_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     TextStore myObject = (TextStore) factory.createComplexMetadataObject(objectStore, "TextStore_Object", MetadataObjects.TEXTSTORE, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_OBJECTS_NAME`
  Constant used for the name of the Objects association.
  `static final String`
  `ASSOCIATION_OWNINGMININGRESULT_NAME`
  Constant used for the name of the OwningMiningResult association.
  `static final String`
  `ATTRIBUTE_STOREDTEXT_NAME`
  Constant used for the name of the StoredText attribute.

  ### Fields inherited from interface com.sas.metadata.remote.ContentLocation

  `ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME, ASSOCIATION_FILEREFS_NAME, ASSOCIATION_REPORTS_NAME, ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME, ASSOCIATION_UNITOFTIMES_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage

  `ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Text

  `ASSOCIATION_ASSOCIATEDPROPERTY_NAME, ASSOCIATION_ASSOCIATEDQUERYCLAUSE_NAME, ASSOCIATION_ASSOCIATEDTRAINEDRESULT_NAME, ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME, ASSOCIATION_ASSOCIATEDTYPE_NAME, ASSOCIATION_TARGETS_NAME, ATTRIBUTE_TEXTROLE_NAME, ATTRIBUTE_TEXTTYPE_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getObjects()`
  Gets the Association list of `Objects`
  `AssociationList`
  `getObjects(boolean fGoToServer)`
  Gets the Associationlist of `Objects`
  `MiningResult`
  `getOwningMiningResult()`
  Gets the `MiningResult` for `OwningMiningResult`
  `AssociationList`
  `getOwningMiningResults()`
  Gets the AssociationList of `OwningMiningResults`
  `AssociationList`
  `getOwningMiningResults(boolean fGoToServer)`
  Gets the Associationlist of `OwningMiningResults`
  `String`
  `getStoredText()`
  Gets the `String` value of `StoredText`
  `int`
  `getStoredTextMaxLength()`
  Gets the maximum length of `StoredText`
  `int`
  `getStoredTextState()`
  Gets the Metadata State of `StoredText`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `OwningMiningResult`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setObjects(AssociationList list)`
  Sets the `Objects` list to be `list`.
  `void`
  `setObjects(AssociationList inObjects, int state)`
  Sets the entire Objects list to match the passed in AssociationList, sets the state of the Objects
  `void`
  `setOwningMiningResult(MiningResult inObject)`
  Sets the `OwningMiningResults` list 0th element to be `inObject`.
  `void`
  `setOwningMiningResults(AssociationList list)`
  Sets the `OwningMiningResults` list to be `list`.
  `void`
  `setOwningMiningResults(AssociationList list, int state)`
  Sets the `OwningMiningResults` list to be `list`.
  `void`
  `setStoredText(String inStoredText)`
  Sets the `StoredText` value and sets the state to MetadataState.LOCAL.
  `void`
  `setStoredText(String inStoredText, int state)`
  Sets the `StoredText` Metadata State.
  `void`
  `setStoredTextState(int state)`
  Sets the Metadata State of `StoredText`.

  ### Methods inherited from interface com.sas.metadata.remote.ContentLocation

  `getAssociatedContentType, getAssociatedContentTypes, getAssociatedContentTypes, getFileRefs, getFileRefs, getReports, getReports, getTSAssociatedNamespace, getTSAssociatedNamespaces, getTSAssociatedNamespaces, getUnitofTimes, getUnitofTimes, setAssociatedContentType, setAssociatedContentTypes, setAssociatedContentTypes, setFileRefs, setFileRefs, setReports, setReports, setTSAssociatedNamespace, setTSAssociatedNamespaces, setTSAssociatedNamespaces, setUnitofTimes, setUnitofTimes`

  ### Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage

  `getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

  ### Methods inherited from interface com.sas.metadata.remote.Text

  `getAssociatedProperty, getAssociatedPropertys, getAssociatedPropertys, getAssociatedQueryClause, getAssociatedQueryClauses, getAssociatedQueryClauses, getAssociatedTrainedResult, getAssociatedTrainedResults, getAssociatedTrainedResults, getAssociatedTransformation, getAssociatedTransformations, getAssociatedTransformations, getAssociatedType, getAssociatedTypes, getAssociatedTypes, getTargets, getTargets, getTextRole, getTextRoleMaxLength, getTextRoleState, getTextType, getTextTypeMaxLength, getTextTypeState, setAssociatedProperty, setAssociatedPropertys, setAssociatedPropertys, setAssociatedQueryClause, setAssociatedQueryClauses, setAssociatedQueryClauses, setAssociatedTrainedResult, setAssociatedTrainedResults, setAssociatedTrainedResults, setAssociatedTransformation, setAssociatedTransformations, setAssociatedTransformations, setAssociatedType, setAssociatedTypes, setAssociatedTypes, setTargets, setTargets, setTextRole, setTextRole, setTextRoleState, setTextType, setTextType, setTextTypeState`

- ## Field Details

  - ### ATTRIBUTE_STOREDTEXT_NAME

    static final String ATTRIBUTE_STOREDTEXT_NAME
    Constant used for the name of the StoredText attribute.

    StoredText: This is the actual text of the note.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_OWNINGMININGRESULT_NAME

    static final String ASSOCIATION_OWNINGMININGRESULT_NAME
    Constant used for the name of the OwningMiningResult association.

    OwningMiningResult: The mining result associated to this PMML.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_OBJECTS_NAME

    static final String ASSOCIATION_OBJECTS_NAME
    Constant used for the name of the Objects association.

    Objects: *Unknown*

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `ContentLocation`
    Specified by:
      `initializeRequiredObjects` in interface `DeployedDataPackage`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `Text`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `OwningMiningResult`
    Specified by:
      `initializePredObjects` in interface `ContentLocation`
    Specified by:
      `initializePredObjects` in interface `DeployedDataPackage`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `Text`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getStoredText

    String getStoredText() throws RemoteException
    Gets the `String` value of `StoredText`
    Returns:
      The `StoredText`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getStoredTextState

    int getStoredTextState() throws RemoteException
    Gets the Metadata State of `StoredText`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getStoredTextMaxLength

    int getStoredTextMaxLength() throws RemoteException
    Gets the maximum length of `StoredText`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getOwningMiningResults

    AssociationList getOwningMiningResults() throws RemoteException, MdException
    Gets the AssociationList of `OwningMiningResults`
    Returns:
      Returns the AssociationList of `OwningMiningResults` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException`

  - ### getOwningMiningResult

    MiningResult getOwningMiningResult() throws RemoteException, MdException
    Gets the `MiningResult` for `OwningMiningResult`
    Returns:
      The `MiningResult` ( `null` if not set) of `OwningMiningResult`which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getObjects

    AssociationList getObjects() throws RemoteException, MdException
    Gets the Association list of `Objects`
    Returns:
      The AssociationList of `Objects` which can be of type:
      All types
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningMiningResults

    AssociationList getOwningMiningResults(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `OwningMiningResults`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `OwningMiningResults` which can be of type:
      MiningResult
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getObjects

    AssociationList getObjects(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Objects`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `Objects` which can be of type:
      All types
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setStoredText

    void setStoredText(String inStoredText) throws RemoteException
    Sets the `StoredText` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inStoredText` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setStoredText

    void setStoredText(String inStoredText, int state) throws RemoteException
    Sets the `StoredText` Metadata State.
    Parameters:
      `inStoredText` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setStoredTextState

    void setStoredTextState(int state) throws RemoteException
    Sets the Metadata State of `StoredText`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningMiningResults

    void setOwningMiningResults(AssociationList list) throws RemoteException
    Sets the `OwningMiningResults` list to be `list`. Object of which can be of type:
    MiningResult
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningMiningResults

    void setOwningMiningResults(AssociationList list, int state) throws RemoteException
    Sets the `OwningMiningResults` list to be `list`. Object of which can be of type:
    MiningResult
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningMiningResult

    void setOwningMiningResult(MiningResult inObject) throws RemoteException
    Sets the `OwningMiningResults` list 0th element to be `inObject`.
    Parameters:
      `inObject` - MiningResult
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setObjects

    void setObjects(AssociationList list) throws RemoteException
    Sets the `Objects` list to be `list`. Objects of which can be of type:
    All types
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setObjects

    void setObjects(AssociationList inObjects, int state) throws RemoteException
    Sets the entire Objects list to match the passed in AssociationList, sets the state of the Objects
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.